// Task 18
// Напишите цикл, который предлагает prompt ввести число, большее 100.
// Если пользователь ввёл другое число – попросить ввести ещё раз, и так далее.
// Цикл должен спрашивать число пока либо посетитель не введёт число,
// большее 100, либо не нажмёт кнопку Cancel (ESC).
// Предусматривать обработку нечисловых строк в этой задаче необязательно.

(function() {  

    console.info('Task-18');

    let i = 0;
    
    while (i <= 100 && !(i === null)) {
        i = prompt('Ведитечисло, большее 100', '');
        if (i <= 100 && !(i === null)) {
            alert('Неверно, попробуйте еще раз');
        }
    }

    console.log(i);

    console.info(' ');

})();